Bug 170739 - Evince seems to leak memory and uses excessive CPU when viewing attached PDF
Evince seems to leak memory and uses excessive CPU when viewing attached PDF
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
http://dl.alphaworks.ibm.com/technolo...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-14 06:31 EDT by Dululu
Modified: 2008-03-09 07:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 03:40:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing top output when viewing the pdf file (174.86 KB, image/png)
2005-10-14 06:37 EDT, Dululu
no flags Details

  None (edit)
Description Dululu 2005-10-14 06:31:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
When viewing the following pdf http://dl.alphaworks.ibm.com/technologies/faces4laszlo/faces4laszlo_whitepaper.pdf
evince uses 80% - 90% CPU and kept getting memory until I had to kill it. This was on a PIV 2.4Ghz machine with 640M RAM. There seems to be a massive memory leak which results in unchecked memory consumption.



Version-Release number of selected component (if applicable):
evince-0.4.0-2 poppler-0.4.0

How reproducible:
Always

Steps to Reproduce:
1.Open linked to PDF file
2.Watch machine grind to a halt and start swapping
3.
  

Additional info:
Comment 1 Dululu 2005-10-14 06:37:35 EDT
Created attachment 119966 [details]
Screenshot showing top output when viewing the pdf file

Screenshot taken to illustrate the problem.
Comment 2 Christian Iseli 2007-01-19 19:58:39 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 William Murray 2007-12-14 03:56:17 EST
 Bug 419961 may be a duplicate of this 
Comment 4 petrosyan 2008-03-09 03:40:37 EDT
Linked pdf file does not exist anymore.
Comment 5 William Murray 2008-03-09 07:38:20 EDT
The pdf in my duplicate 419961 does exist

Note You need to log in before you can comment on or make changes to this bug.